/***
*		Ornamentw.h -- ui for ornamentation tool
*		 1997 Another Option   All rights reserved.
***/

/*
=============================================================================
|   DATE   | WHAT
=============================================================================
 13 Jan 97 | created
 18 Jan 97 | added delay and regened
 20 Jan 97 | commented out read/write track menu items
 25 Jan 97 | added play and reformatted menu
 19 Oct 97 | added real-time controller stuff
 20 Oct 97 | added respond menu item (hey, it's easier than a bloody gadget)
*/

#include "PopUpNote.h"
#include "PopUpPipes.h"

#define SCALE         1
#define PLAY          2
#define LENGTH        3
#define ORNAMENT      4
#define TRANSPOSE     5
#define GATE          6
#define IGNORE        7
#define DELAY         8
#define POPUP_IGNORE  9
#define POPUP_DELAY   10
#define POPPIPE       11
/*** real-time controller gadgets ***/
/* pots */
#define C_ORNAMENT    12
#define C_ROUTE       13
#define C_GATE        14
#define C_SCALE       15
#define C_DELAY       16
#define C_IGNORE      17
#define C_TRANSPOSE   18
/* popups */
#define DIS_ORNAMENT  19
#define DIS_ROUTE     20
#define DIS_GATE      21
#define DIS_SCALE     22
#define DIS_DELAY     23
#define DIS_IGNORE    24
#define DIS_TRANSPOSE 25


/*** imagery for real-time controller popup pipe gadgets ***/
/* is, uh, included by  configlib.h, butthead */
/*
static USHORT const __chip ImageData1[] = {
	0xFFFF,0xF800,0xC000,0x1800,0xCC01,0x9800,0xCBFE,0x9800,
	0xCFFD,0x9800,0xCC01,0x9800,0xC000,0x1800,0xC000,0x1800,
	0xFFFF,0xF800,0x0000,0x0800,0x3FFF,0xF800,0x33FE,0x7800,
	0x3401,0xF800,0x37FF,0xF800,0x37FF,0xF800,0x3FFF,0xF800,
	0x3FFF,0xF800,0x7FFF,0xF800
};

static struct Image PopPassImage = {
	0,0,
	21,9,
	3,
	ImageData1,
	0x0003,0x0000,
	NULL
};

static USHORT const __chip ImageData2[] = {
	0xFFFF,0xF800,0xC000,0x1800,0xCC0F,0x9800,0xCFFD,0x9800,
	0xCFF7,0x9800,0xCC07,0x9800,0xC000,0x1800,0xC000,0x1800,
	0xFFFF,0xF800,0xFFFF,0xF000,0xFFFF,0xE000,0xF3F0,0x6000,
	0xF403,0xE000,0xF7FF,0xE000,0xF7FF,0xE000,0xFFFF,0xE000,
	0xFFFF,0xE000,0x8000,0x0000,0x0000,0x0000,0x3FFF,0xE000,
	0x33F0,0x6000,0x3000,0x6000,0x3000,0x6000,0x33F0,0x6000,
	0x3FFF,0xE000,0x3FFF,0xE000,0x0000,0x0000
};

static struct Image PopDiscardImage = {
	0,0,
	21,9,
	3,
	ImageData2,
	0x0007,0x0000,
	NULL
};
*/
/*** real-time controller discard gadgets ***/
static struct Gadget Gadget25 = {
	NULL,
	299,165,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_TRANSPOSE,
	NULL
};

static struct Gadget Gadget24 = {
	&Gadget25,
	299,155,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_IGNORE,
	NULL
};

static struct Gadget Gadget23 = {
	&Gadget24,
	299,145,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_DELAY,
	NULL
};

static struct Gadget Gadget22 = {
	&Gadget23,
	299,135,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_SCALE,
	NULL
};

static struct Gadget Gadget21 = {
	&Gadget22,
	299,125,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_GATE,
	NULL
};

static struct Gadget Gadget20 = {
	&Gadget21,
	299,115,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_ROUTE,
	NULL
};

static struct Gadget Gadget19 = {
	&Gadget20,
	299,105,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_ORNAMENT,
	NULL
};

/*** real-time controller gadgets ***/

#define CCGAD_TEXTPEN BP_RED

static struct PropInfo Gadget18SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5100,-1,
};

static struct Image Image15 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	CCGAD_TEXTPEN,0,JAM1,
	-83,0,
	NULL,
	"Transpose:",
	NULL
};

static struct Gadget Gadget18 = {
	&Gadget19,
	93,166,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image15,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget18SInfo,
	C_TRANSPOSE,
	NULL
};

static struct PropInfo Gadget17SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5100,-1,
};

static struct Image Image16 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	CCGAD_TEXTPEN,0,JAM1,
	-59,0,
	NULL,
	"Ignore:",
	NULL
};

static struct Gadget Gadget17 = {
	&Gadget18,
	93,156,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image16,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget17SInfo,
	C_IGNORE,
	NULL
};

static struct PropInfo Gadget16SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5100,-1,
};

static struct Image Image17 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	CCGAD_TEXTPEN,0,JAM1,
	-51,0,
	NULL,
	"Delay:",
	NULL
};

static struct Gadget Gadget16 = {
	&Gadget17,
	93,146,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image17,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget16SInfo,
	C_DELAY,
	NULL
};

static struct PropInfo Gadget15SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5100,-1,
};

static struct Image Image18 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	CCGAD_TEXTPEN,0,JAM1,
	-51,0,
	NULL,
	"Scale:",
	NULL
};

static struct Gadget Gadget15 = {
	&Gadget16,
	93,136,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image18,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget15SInfo,
	C_SCALE,
	NULL
};

static struct PropInfo Gadget14SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5100,-1,
};

static struct Image Image19 = {
	1,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText5 = {
	CCGAD_TEXTPEN,0,JAM1,
	-43,0,
	NULL,
	"Gate:",
	NULL
};

static struct Gadget Gadget14 = {
	&Gadget15,
	93,126,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image19,
	NULL,
	&IText5,
	NULL,
	(APTR)&Gadget14SInfo,
	C_GATE,
	NULL
};

static struct PropInfo Gadget13SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5100,-1,
};

static struct Image Image20 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText6 = {
	CCGAD_TEXTPEN,0,JAM1,
	-51,0,
	NULL,
	"Route:",
	NULL
};

static struct Gadget Gadget13 = {
	&Gadget14,
	93,116,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image20,
	NULL,
	&IText6,
	NULL,
	(APTR)&Gadget13SInfo,
	C_ROUTE,
	NULL
};

static struct PropInfo Gadget12SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5100,-1,
};

static struct Image Image21 = {
	1,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText7 = {
	CCGAD_TEXTPEN,0,JAM1,
	-75,0,
	NULL,
	"Ornament:",
	NULL
};

static struct Gadget Gadget12 = {
	&Gadget13,
	93,106,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image21,
	NULL,
	&IText7,
	NULL,
	(APTR)&Gadget12SInfo,
	C_ORNAMENT,
	NULL
};

/*** main window gadgets ***/
static struct Gadget Gadget11 = {
	&Gadget12,
	313,51,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_IGNORE,
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget11,
	313,39,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_DELAY,
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget10,
	313,13,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PipeImage,
	NULL,
	NULL,
	NULL,
	(APTR)&PopPipeMenu,
	POPPIPE,
	NULL
};

static struct PropInfo Gadget8SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5957,-1,
};

static struct Image Image28 = {
	0,0,
	14,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText8 = {
	2,0,JAM2,
	-75,0,
	NULL,
	"Ornament:",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	93,16,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image28,
	NULL,
	&IText8,
	NULL,
	(APTR)&Gadget8SInfo,
	ORNAMENT,
	NULL
};

static struct PropInfo Gadget7SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5957,-1,
};

static struct Image Image29 = {
	0,0,
	13,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText9 = {
	2,0,JAM1,
	-43,0,
	NULL,
	"Gate:",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	93,28,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image29,
	NULL,
	&IText9,
	NULL,
	(APTR)&Gadget7SInfo,
	GATE,
	NULL
};

static struct PropInfo Gadget6SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	1022,-1,
};

static struct Image Image30 = {
	1,0,
	13,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText10 = {
	2,0,JAM2,
	-51,0,
	NULL,
	"Delay:",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	93,40,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image30,
	NULL,
	&IText10,
	NULL,
	(APTR)&Gadget6SInfo,
	DELAY,
	NULL
};

static struct PropInfo Gadget5SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	1022,-1,
};

static struct Image Image31 = {
	0,0,
	13,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText11 = {
	2,0,JAM2,
	-59,0,
	NULL,
	"Ignore:",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	93,52,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image31,
	NULL,
	&IText11,
	NULL,
	(APTR)&Gadget5SInfo,
	IGNORE,
	NULL
};

static struct PropInfo Gadget4SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5461,-1,
};

static struct Image Image32 = {
	0,0,
	13,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText12 = {
	2,0,JAM1,
	-83,0,
	NULL,
	"Transpose:",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	93,64,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image32,
	NULL,
	&IText12,
	NULL,
	(APTR)&Gadget4SInfo,
	TRANSPOSE,
	NULL
};

static struct IntuiText IText13 = {
	2,0,JAM1,
	0,1,
	NULL,
	"     events (      )", //"9999 events (00.000)",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	93,76,
	159,9,
	GADGHBOX+GADGHIMAGE,
	NULL,
	BOOLGADGET,
	NULL,
	NULL,
	&IText13,
	NULL,
	NULL,
	LENGTH,
	NULL
};

static struct IntuiText IText14 = {
	4,0,JAM1,
	7,1,
	NULL,
	"Play",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	283,76,
	46,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText14,
	NULL,
	NULL,
	PLAY,
	NULL
};

static struct IntuiText IText15 = {
	4,0,JAM1,
	3,1,
	NULL,
	"Scale",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	284,27,
	46,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText15,
	NULL,
	NULL,
	SCALE,
	NULL
};

#define GadgetList1 Gadget1

static struct IntuiText IText16 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Show CC Numbers",
	NULL
};

static struct MenuItem MenuItem10 = {
	NULL,
	0,68,
	192,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText16,
	NULL,
	'N',
	NULL,
	MENUNULL
};

static struct IntuiText IText17b = {
	3,0,JAM1,
	19,0,
	NULL,
	"Respond to CCs",
	NULL
};

static struct MenuItem MenuItem10b = {
	&MenuItem10,
	0,60,
	192,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText17b,
	NULL,
	'R',
	NULL,
	MENUNULL
};

static struct IntuiText IText17 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem SubItem3 = {
	NULL,
	88,15,
	107,8,
	ITEMTEXT+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText17,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText18 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Free",
	NULL
};

static struct MenuItem SubItem2 = {
	&SubItem3,
	88,7,
	107,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText18,
	NULL,
	'F',
	NULL,
	MENUNULL
};

static struct IntuiText IText19 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Use",
	NULL
};

static struct MenuItem SubItem1 = {
	&SubItem2,
	88,-1,
	107,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText19,
	NULL,
	'U',
	NULL,
	MENUNULL
};

static struct IntuiText IText20 = {
	3,0,JAM1,
	0,0,
	NULL,
	"SysEx                ",
	NULL
};

static struct MenuItem MenuItem9 = {
	&MenuItem10b,
	0,48,
	192,8,
	ITEMTEXT+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText20,
	NULL,
	NULL,
	&SubItem1,
	MENUNULL
};

static struct IntuiText IText21 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Pitch Bend",
	NULL
};

static struct MenuItem SubItem8 = {
	NULL,
	88,31,
	107,8,
	CHECKIT+ITEMTEXT+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText21,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText22 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Poly Touch",
	NULL
};

static struct MenuItem SubItem7 = {
	&SubItem8,
	88,23,
	107,8,
	CHECKIT+ITEMTEXT+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText22,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText23 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Mono Touch",
	NULL
};

static struct MenuItem SubItem6 = {
	&SubItem7,
	88,15,
	107,8,
	CHECKIT+ITEMTEXT+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText23,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText24 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Control Chg",
	NULL
};

static struct MenuItem SubItem5 = {
	&SubItem6,
	88,7,
	107,8,
	CHECKIT+ITEMTEXT+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText24,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText25 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Notes",
	NULL
};

static struct MenuItem SubItem4 = {
	&SubItem5,
	88,-1,
	107,8,
	CHECKIT+ITEMTEXT+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText25,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText26 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Include              ",
	NULL
};

static struct MenuItem MenuItem8 = {
	&MenuItem9,
	0,40,
	192,8,
	ITEMTEXT+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText26,
	NULL,
	NULL,
	&SubItem4,
	MENUNULL
};

static struct IntuiText IText27 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Paste to Clipboard",
	NULL
};

static struct MenuItem MenuItem7 = {
	&MenuItem8,
	0,28,
	192,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText27,
	NULL,
	'V',
	NULL,
	MENUNULL
};

static struct IntuiText IText28 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Copy from Clipboard",
	NULL
};

static struct MenuItem MenuItem6 = {
	&MenuItem7,
	0,20,
	192,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText28,
	NULL,
	'C',
	NULL,
	MENUNULL
};

static struct IntuiText IText29 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Save...",
	NULL
};

static struct MenuItem MenuItem5 = {
	&MenuItem6,
	0,8,
	192,8,
	ITEMTEXT+COMMSEQ+HIGHCOMP,
	0,
	(APTR)&IText29,
	NULL,
	'S',
	NULL,
	MENUNULL
};

static struct IntuiText IText30 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Open...",
	NULL
};

static struct MenuItem MenuItem4 = {
	&MenuItem5,
	0,0,
	192,8,
	ITEMTEXT+COMMSEQ+HIGHCOMP,
	0,
	(APTR)&IText30,
	NULL,
	'O',
	NULL,
	MENUNULL
};

static struct Menu Menu2 = {
	NULL,
	0,0,
	72,0,
	MENUENABLED,
	"Ornament v1.1  1997 Michael Rees",
	&MenuItem4
};

#define MenuList1 Menu2

static struct IntuiText IText31 = {
	2,0,JAM2,
	26,77,
	NULL,
	"Current:",
	NULL
};

#define IntuiTextList1 IText31

static struct NewWindow NewWindowStructure1 = {
	175,32,
	340,92,
	0,1,
	NEWSIZE+GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	340,92,
	340,182,
	CUSTOMSCREEN
};
#define WTITLE "Ornament"
#define GCOUNT 1

/*** menu stuff ***/
#define OPENFILE_ITEM   0
#define SAVEFILE_ITEM   1
#define READCLIP_ITEM   2
#define WRITECLIP_ITEM  3
/* in case these are ever added...
#define READTRACK_ITEM  4
#define WRITETRACK_ITEM 5
#define INCLUDE_ITEM    6
#define SYSEX_ITEM      7
#define USECC_ITEM      8
#define SHOWCCNUM_ITEM  9
*/
#define INCLUDE_ITEM    4
#define SYSEX_ITEM      5
#define USECC_ITEM      6
#define SHOWCCNUM_ITEM  7

#define NOTES_SUBITEM   0
#define CCHG_SUBITEM    1
#define MTOUCH_SUBITEM  2
#define PTOUCH_SUBITEM  3
#define PBEND_SUBITEM   4

#define USESYSEX_SUBITEM  0
#define FREESYSEX_SUBITEM 1
#define SNAPSHOT_SUBITEM  2